#include "MMU.h"

void MMU::access(Kernel kernel, PageTable table, const int index, const AccessType type) {
    if (!table[index].P)
        kernel.page_fault(table, index);
    table[index].R = true;

    if (type == WRITE)
        table[index].M = true;
}
